# -*- encoding: utf-8 -*-
# stub: erubis 2.7.0 ruby lib

Gem::Specification.new do |s|
  s.name = "erubis".freeze
  s.version = "2.7.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["makoto kuwata".freeze]
  s.date = "2022-01-28"
  s.description = "  Erubis is an implementation of eRuby and has the following features:\n\n  * Very fast, almost three times faster than ERB and about 10% faster than eruby.\n  * Multi-language support (Ruby/PHP/C/Java/Scheme/Perl/Javascript)\n  * Auto escaping support\n  * Auto trimming spaces around '<% %>'\n  * Embedded pattern changeable (default '<% %>')\n  * Enable to handle Processing Instructions (PI) as embedded pattern (ex. '<?rb ... ?>')\n  * Context object available and easy to combine eRuby template with YAML datafile\n  * Print statement available\n  * Easy to extend and customize in subclass\n  * Ruby on Rails support\n".freeze
  s.email = "kwa(at)kuwata-lab.com".freeze
  s.executables = ["erubis".freeze]
  s.files = ["CHANGES.txt".freeze, "MIT-LICENSE".freeze, "README.txt".freeze, "benchmark/Makefile".freeze, "benchmark/bench.rb".freeze, "benchmark/bench_context.yaml".freeze, "benchmark/templates/_footer.html".freeze, "benchmark/templates/_header.html".freeze, "benchmark/templates/bench_erb.rhtml".freeze, "benchmark/templates/bench_erubis.rhtml".freeze, "benchmark/templates/bench_eruby.rhtml".freeze, "bin/erubis".freeze, "contrib/erubis".freeze, "contrib/erubis-run.rb".freeze, "contrib/inline-require".freeze, "doc-api/classes/ActionView.html".freeze, "doc-api/classes/ActionView/TemplateHandlers/ErubisHandler.html".freeze, "doc-api/classes/ERB.html".freeze, "doc-api/classes/Erubis.html".freeze, "doc-api/classes/Erubis/ArrayBufferEnhancer.html".freeze, "doc-api/classes/Erubis/ArrayBufferEruby.html".freeze, "doc-api/classes/Erubis/ArrayEnhancer.html".freeze, "doc-api/classes/Erubis/ArrayEruby.html".freeze, "doc-api/classes/Erubis/Basic.html".freeze, "doc-api/classes/Erubis/Basic/Converter.html".freeze, "doc-api/classes/Erubis/Basic/Engine.html".freeze, "doc-api/classes/Erubis/BiPatternEnhancer.html".freeze, "doc-api/classes/Erubis/BiPatternEruby.html".freeze, "doc-api/classes/Erubis/CGenerator.html".freeze, "doc-api/classes/Erubis/CommandOptionError.html".freeze, "doc-api/classes/Erubis/Context.html".freeze, "doc-api/classes/Erubis/Converter.html".freeze, "doc-api/classes/Erubis/CppGenerator.html".freeze, "doc-api/classes/Erubis/DeleteIndentEnhancer.html".freeze, "doc-api/classes/Erubis/DeleteIndentEruby.html".freeze, "doc-api/classes/Erubis/Ec.html".freeze, "doc-api/classes/Erubis/Ecpp.html".freeze, "doc-api/classes/Erubis/Ejava.html".freeze, "doc-api/classes/Erubis/Ejavascript.html".freeze, "doc-api/classes/Erubis/Engine.html".freeze, "doc-api/classes/Erubis/Eperl.html".freeze, "doc-api/classes/Erubis/Ephp.html".freeze, "doc-api/classes/Erubis/ErboutEnhancer.html".freeze, "doc-api/classes/Erubis/ErboutEruby.html".freeze, "doc-api/classes/Erubis/ErubisError.html".freeze, "doc-api/classes/Erubis/Eruby.html".freeze, "doc-api/classes/Erubis/EscapeEnhancer.html".freeze, "doc-api/classes/Erubis/EscapedEc.html".freeze, "doc-api/classes/Erubis/EscapedEcpp.html".freeze, "doc-api/classes/Erubis/EscapedEjava.html".freeze, "doc-api/classes/Erubis/EscapedEjavascript.html".freeze, "doc-api/classes/Erubis/EscapedEperl.html".freeze, "doc-api/classes/Erubis/EscapedEphp.html".freeze, "doc-api/classes/Erubis/EscapedEruby.html".freeze, "doc-api/classes/Erubis/EscapedEscheme.html".freeze, "doc-api/classes/Erubis/Escheme.html".freeze, "doc-api/classes/Erubis/Evaluator.html".freeze, "doc-api/classes/Erubis/FastEruby.html".freeze, "doc-api/classes/Erubis/Generator.html".freeze, "doc-api/classes/Erubis/HeaderFooterEnhancer.html".freeze, "doc-api/classes/Erubis/HeaderFooterEruby.html".freeze, "doc-api/classes/Erubis/Helpers.html".freeze, "doc-api/classes/Erubis/Helpers/RailsFormHelper.html".freeze, "doc-api/classes/Erubis/Helpers/RailsHelper.html".freeze, "doc-api/classes/Erubis/Helpers/RailsHelper/TemplateConverter.html".freeze, "doc-api/classes/Erubis/InterpolationEnhancer.html".freeze, "doc-api/classes/Erubis/InterpolationEruby.html".freeze, "doc-api/classes/Erubis/JavaGenerator.html".freeze, "doc-api/classes/Erubis/JavascriptGenerator.html".freeze, "doc-api/classes/Erubis/Main.html".freeze, "doc-api/classes/Erubis/NoCodeEnhancer.html".freeze, "doc-api/classes/Erubis/NoCodeEruby.html".freeze, "doc-api/classes/Erubis/NoTextEnhancer.html".freeze, "doc-api/classes/Erubis/NoTextEruby.html".freeze, "doc-api/classes/Erubis/NotSupportedError.html".freeze, "doc-api/classes/Erubis/OptimizedEruby.html".freeze, "doc-api/classes/Erubis/OptimizedGenerator.html".freeze, "doc-api/classes/Erubis/OptimizedXmlEruby.html".freeze, "doc-api/classes/Erubis/PI.html".freeze, "doc-api/classes/Erubis/PI/Converter.html".freeze, "doc-api/classes/Erubis/PI/Ec.html".freeze, "doc-api/classes/Erubis/PI/Ecpp.html".freeze, "doc-api/classes/Erubis/PI/Ejava.html".freeze, "doc-api/classes/Erubis/PI/Ejavascript.html".freeze, "doc-api/classes/Erubis/PI/Engine.html".freeze, "doc-api/classes/Erubis/PI/Eperl.html".freeze, "doc-api/classes/Erubis/PI/Ephp.html".freeze, "doc-api/classes/Erubis/PI/Eruby.html".freeze, "doc-api/classes/Erubis/PI/Escheme.html".freeze, "doc-api/classes/Erubis/PI/TinyEruby.html".freeze, "doc-api/classes/Erubis/PercentLineEnhancer.html".freeze, "doc-api/classes/Erubis/PercentLineEruby.html".freeze, "doc-api/classes/Erubis/PerlGenerator.html".freeze, "doc-api/classes/Erubis/PhpGenerator.html".freeze, "doc-api/classes/Erubis/PrefixedLineEnhancer.html".freeze, "doc-api/classes/Erubis/PrefixedLineEruby.html".freeze, "doc-api/classes/Erubis/PreprocessingEruby.html".freeze, "doc-api/classes/Erubis/PreprocessingHelper.html".freeze, "doc-api/classes/Erubis/PrintEnabledEnhancer.html".freeze, "doc-api/classes/Erubis/PrintEnabledEruby.html".freeze, "doc-api/classes/Erubis/PrintOutEnhancer.html".freeze, "doc-api/classes/Erubis/PrintOutEruby.html".freeze, "doc-api/classes/Erubis/PrintOutSimplifiedEruby.html".freeze, "doc-api/classes/Erubis/RubyEvaluator.html".freeze, "doc-api/classes/Erubis/RubyGenerator.html".freeze, "doc-api/classes/Erubis/SchemeGenerator.html".freeze, "doc-api/classes/Erubis/SimplifiedEruby.html".freeze, "doc-api/classes/Erubis/SimplifyEnhancer.html".freeze, "doc-api/classes/Erubis/StdoutEnhancer.html".freeze, "doc-api/classes/Erubis/StdoutEruby.html".freeze, "doc-api/classes/Erubis/StdoutSimplifiedEruby.html".freeze, "doc-api/classes/Erubis/StringBufferEnhancer.html".freeze, "doc-api/classes/Erubis/StringBufferEruby.html".freeze, "doc-api/classes/Erubis/StringIOEruby.html".freeze, "doc-api/classes/Erubis/TinyEruby.html".freeze, "doc-api/classes/Erubis/XmlEruby.html".freeze, "doc-api/classes/Erubis/XmlHelper.html".freeze, "doc-api/classes/Kernel.html".freeze, "doc-api/created.rid".freeze, "doc-api/files/README_txt.html".freeze, "doc-api/files/erubis/context_rb.html".freeze, "doc-api/files/erubis/converter_rb.html".freeze, "doc-api/files/erubis/engine/ec_rb.html".freeze, "doc-api/files/erubis/engine/ecpp_rb.html".freeze, "doc-api/files/erubis/engine/ejava_rb.html".freeze, "doc-api/files/erubis/engine/ejavascript_rb.html".freeze, "doc-api/files/erubis/engine/enhanced_rb.html".freeze, "doc-api/files/erubis/engine/eperl_rb.html".freeze, "doc-api/files/erubis/engine/ephp_rb.html".freeze, "doc-api/files/erubis/engine/eruby_rb.html".freeze, "doc-api/files/erubis/engine/escheme_rb.html".freeze, "doc-api/files/erubis/engine/optimized_rb.html".freeze, "doc-api/files/erubis/engine_rb.html".freeze, "doc-api/files/erubis/enhancer_rb.html".freeze, "doc-api/files/erubis/error_rb.html".freeze, "doc-api/files/erubis/evaluator_rb.html".freeze, "doc-api/files/erubis/generator_rb.html".freeze, "doc-api/files/erubis/helper_rb.html".freeze, "doc-api/files/erubis/helpers/rails_form_helper_rb.html".freeze, "doc-api/files/erubis/helpers/rails_helper_rb.html".freeze, "doc-api/files/erubis/local-setting_rb.html".freeze, "doc-api/files/erubis/main_rb.html".freeze, "doc-api/files/erubis/preprocessing_rb.html".freeze, "doc-api/files/erubis/tiny_rb.html".freeze, "doc-api/files/erubis/util_rb.html".freeze, "doc-api/files/erubis_rb.html".freeze, "doc-api/fr_class_index.html".freeze, "doc-api/fr_file_index.html".freeze, "doc-api/fr_method_index.html".freeze, "doc-api/index.html".freeze, "doc-api/rdoc-style.css".freeze, "doc/docstyle.css".freeze, "doc/users-guide.html".freeze, "examples/basic/Makefile".freeze, "examples/basic/example.ec".freeze, "examples/basic/example.ecpp".freeze, "examples/basic/example.ejava".freeze, "examples/basic/example.ejs".freeze, "examples/basic/example.eperl".freeze, "examples/basic/example.ephp".freeze, "examples/basic/example.eruby".freeze, "examples/basic/example.escheme".freeze, "examples/pi/Makefile".freeze, "examples/pi/example.ec".freeze, "examples/pi/example.ejava".freeze, "examples/pi/example.ejs".freeze, "examples/pi/example.eperl".freeze, "examples/pi/example.ephp".freeze, "examples/pi/example.eruby".freeze, "examples/pi/example.escheme".freeze, "lib/erubis.rb".freeze, "lib/erubis/context.rb".freeze, "lib/erubis/converter.rb".freeze, "lib/erubis/engine.rb".freeze, "lib/erubis/engine/ec.rb".freeze, "lib/erubis/engine/ecpp.rb".freeze, "lib/erubis/engine/ejava.rb".freeze, "lib/erubis/engine/ejavascript.rb".freeze, "lib/erubis/engine/enhanced.rb".freeze, "lib/erubis/engine/eperl.rb".freeze, "lib/erubis/engine/ephp.rb".freeze, "lib/erubis/engine/eruby.rb".freeze, "lib/erubis/engine/escheme.rb".freeze, "lib/erubis/engine/optimized.rb".freeze, "lib/erubis/enhancer.rb".freeze, "lib/erubis/error.rb".freeze, "lib/erubis/evaluator.rb".freeze, "lib/erubis/generator.rb".freeze, "lib/erubis/helper.rb".freeze, "lib/erubis/helpers/rails_form_helper.rb".freeze, "lib/erubis/helpers/rails_helper.rb".freeze, "lib/erubis/local-setting.rb".freeze, "lib/erubis/main.rb".freeze, "lib/erubis/preprocessing.rb".freeze, "lib/erubis/tiny.rb".freeze, "lib/erubis/util.rb".freeze, "setup.rb".freeze, "test/assert-text-equal.rb".freeze, "test/data/users-guide/Example.ejava".freeze, "test/data/users-guide/array_example.result".freeze, "test/data/users-guide/arraybuffer_example.result".freeze, "test/data/users-guide/bipattern-example.rhtml".freeze, "test/data/users-guide/bipattern_example.result".freeze, "test/data/users-guide/bufvar-example.rb".freeze, "test/data/users-guide/bufvar-example.result".freeze, "test/data/users-guide/context.rb".freeze, "test/data/users-guide/context.yaml".freeze, "test/data/users-guide/def_method.rb".freeze, "test/data/users-guide/def_method.result".freeze, "test/data/users-guide/escape_example.result".freeze, "test/data/users-guide/example.ec".freeze, "test/data/users-guide/example.ecpp".freeze, "test/data/users-guide/example.ejs".freeze, "test/data/users-guide/example.eperl".freeze, "test/data/users-guide/example.ephp".freeze, "test/data/users-guide/example.eruby".freeze, "test/data/users-guide/example.escheme".freeze, "test/data/users-guide/example1.eruby".freeze, "test/data/users-guide/example1.rb".freeze, "test/data/users-guide/example1.result".freeze, "test/data/users-guide/example10.rb".freeze, "test/data/users-guide/example10.result".freeze, "test/data/users-guide/example10.xhtml".freeze, "test/data/users-guide/example10_x.result".freeze, "test/data/users-guide/example11.php".freeze, "test/data/users-guide/example11.result".freeze, "test/data/users-guide/example11.rhtml".freeze, "test/data/users-guide/example11_C.result".freeze, "test/data/users-guide/example11_N.result".freeze, "test/data/users-guide/example11_U.result".freeze, "test/data/users-guide/example11_php.result".freeze, "test/data/users-guide/example1_x.result".freeze, "test/data/users-guide/example2.eruby".freeze, "test/data/users-guide/example2.rb".freeze, "test/data/users-guide/example2.result".freeze, "test/data/users-guide/example2_trim.result".freeze, "test/data/users-guide/example2_x.result".freeze, "test/data/users-guide/example3.eruby".freeze, "test/data/users-guide/example3.rb".freeze, "test/data/users-guide/example31.result".freeze, "test/data/users-guide/example32.result".freeze, "test/data/users-guide/example3_e.result".freeze, "test/data/users-guide/example4.eruby".freeze, "test/data/users-guide/example4.rb".freeze, "test/data/users-guide/example4.result".freeze, "test/data/users-guide/example4_x.result".freeze, "test/data/users-guide/example5.eruby".freeze, "test/data/users-guide/example5.rb".freeze, "test/data/users-guide/example5.result".freeze, "test/data/users-guide/example6.rb".freeze, "test/data/users-guide/example6.result".freeze, "test/data/users-guide/example7.eruby".freeze, "test/data/users-guide/example71.result".freeze, "test/data/users-guide/example72.result".freeze, "test/data/users-guide/example8.eruby".freeze, "test/data/users-guide/example8_ruby.result".freeze, "test/data/users-guide/example8_yaml.result".freeze, "test/data/users-guide/example9.eruby".freeze, "test/data/users-guide/example9.rb".freeze, "test/data/users-guide/example9.result".freeze, "test/data/users-guide/example91.result".freeze, "test/data/users-guide/example92.result".freeze, "test/data/users-guide/example_c.result".freeze, "test/data/users-guide/example_java.result".freeze, "test/data/users-guide/example_js.result".freeze, "test/data/users-guide/example_perl.result".freeze, "test/data/users-guide/example_php.result".freeze, "test/data/users-guide/example_scheme.result".freeze, "test/data/users-guide/example_scheme_display.result".freeze, "test/data/users-guide/fasteruby-example.rb".freeze, "test/data/users-guide/fasteruby-example.result".freeze, "test/data/users-guide/fasteruby.rb".freeze, "test/data/users-guide/fasteruby.result".freeze, "test/data/users-guide/fasteruby.rhtml".freeze, "test/data/users-guide/headerfooter-example.eruby".freeze, "test/data/users-guide/headerfooter-example2.rb".freeze, "test/data/users-guide/headerfooter-example2.rhtml".freeze, "test/data/users-guide/headerfooter_example.result".freeze, "test/data/users-guide/headerfooter_example2.result".freeze, "test/data/users-guide/interpolation_example.result".freeze, "test/data/users-guide/main_program1.rb".freeze, "test/data/users-guide/main_program1.result".freeze, "test/data/users-guide/main_program2.rb".freeze, "test/data/users-guide/main_program2.result".freeze, "test/data/users-guide/nocode-example.eruby".freeze, "test/data/users-guide/nocode-php.result".freeze, "test/data/users-guide/nocode_example.result".freeze, "test/data/users-guide/normal-eruby-test.eruby".freeze, "test/data/users-guide/normal_eruby_test.result".freeze, "test/data/users-guide/notext-example.eruby".freeze, "test/data/users-guide/notext-example.php".freeze, "test/data/users-guide/notext-php.result".freeze, "test/data/users-guide/notext_example.result".freeze, "test/data/users-guide/percentline-example.rhtml".freeze, "test/data/users-guide/percentline_example.result".freeze, "test/data/users-guide/prefixedline-example.rb".freeze, "test/data/users-guide/prefixedline-example.rhtml".freeze, "test/data/users-guide/prefixedline_example.result".freeze, "test/data/users-guide/printenable_example.result".freeze, "test/data/users-guide/printenabled-example.eruby".freeze, "test/data/users-guide/printenabled-example.rb".freeze, "test/data/users-guide/printstatement_example.result".freeze, "test/data/users-guide/simplify_example.result".freeze, "test/data/users-guide/stderr.log".freeze, "test/data/users-guide/stdout_exmple.result".freeze, "test/data/users-guide/stringbuffer_example.result".freeze, "test/data/users-guide/tail_260.result".freeze, "test/data/users-guide/tailnewline.rhtml".freeze, "test/data/users-guide/template1.rhtml".freeze, "test/data/users-guide/template2.rhtml".freeze, "test/test-engines.rb".freeze, "test/test-enhancers.rb".freeze, "test/test-erubis.rb".freeze, "test/test-index-cgi.rb".freeze, "test/test-main.rb".freeze, "test/test-users-guide.rb".freeze, "test/test.rb".freeze, "test/testutil.rb".freeze]
  s.homepage = "http://www.kuwata-lab.com/erubis/".freeze
  s.rubyforge_project = "erubis".freeze
  s.rubygems_version = "2.7.6.2".freeze
  s.summary = "a fast and extensible eRuby implementation which supports multi-language".freeze
  s.test_files = ["test/test.rb".freeze]
end
